Requirements:
- API key pair
- Soft ID settings enabled (configured by iDenfy staff)
- Finances added to your environment
Generate Request
Either
dob or idNum (full SSN or last 4 digits) is mandatory.Request Parameters
firstName — string (required)
firstName — string (required)
First name of the person to verify.
lastName — string (required)
lastName — string (required)
Last name of the person to verify.
database — string (required)
database — string (required)
Database identifier to check against (e.g.,
US_15).dob — string (conditionally required)
dob — string (conditionally required)
Date of birth in
YYYY-MM-DD format. Required if idNum is not provided.id_num — string (conditionally required)
id_num — string (conditionally required)
Full SSN or last 4 digits. Required if
dob is not provided.yob — integer (optional)
yob — integer (optional)
Year of birth.
state — string (optional)
state — string (optional)
State code (e.g.,
CA).city — string (optional)
city — string (optional)
City name.
address1 — string (optional)
address1 — string (optional)
Primary address line.
address2 — string (optional)
address2 — string (optional)
Secondary address line.
zip — string (optional)
zip — string (optional)
Postal/ZIP code.
phone — string (optional)
phone — string (optional)
Phone number.
email — string (optional)
email — string (optional)
Email address.
Request Example
Response Example
List/Retrieve Soft ID Verification Checks
Understanding response fields:In the response data, fields are categorized into two types:
- Informational fields: Names like
firstName,lastName, etc. These directly mirror the data you provided in the request and are not verified against the database. - Status fields: Names ending with
*Status, likefirstNameStatus,lastNameStatus. These indicate the outcome of verifying the corresponding informational field against the database.